def get_dictionary_from_file_words(filename):
    input_stream = open(filename, "r")
    contents = input_stream.read().strip()
    input_stream.close()
    contents = contents.lower()
    vowels = "aeiou"
    words_list = contents.split() 
    vowel_words_dict = {"a":[], "e":[], "i":[], "o":[], "u":[]}
    for word in words_list:
        starting_letter = word[0]
        if starting_letter in vowels:
            if word not in vowel_words_dict[starting_letter]:
                vowel_words_dict[starting_letter].append(word)
    return vowel_words_dict
  
def display_results(vowel_words):
    for key in vowel_words:
        print(key, "-", vowel_words[key])

def main():
    vowel_words_dict = get_dictionary_from_file_words("Story2.txt")
    display_results(vowel_words_dict)
	
main()
